[Xquartz-changes] [430] trunk

source_changes at macosforge.org source_changes at macosforge.org
Thu Mar 18 13:56:10 PDT 2010


Revision: 430
          http://trac.macosforge.org/projects/xquartz/changeset/430
Author:   jeremyhu at freedesktop.org
Date:     2010-03-18 13:56:10 -0700 (Thu, 18 Mar 2010)
Log Message:
-----------
Add mk_x11_dist script, so they don't get out of sync on my different build machines

Modified Paths:
--------------
    trunk/compile-xserver.sh

Added Paths:
-----------
    trunk/mk_x11_dist.sh
    trunk/mk_x11_legacy.sh

Modified: trunk/compile-xserver.sh
===================================================================
--- trunk/compile-xserver.sh	2010-03-17 02:13:34 UTC (rev 429)
+++ trunk/compile-xserver.sh	2010-03-18 20:56:10 UTC (rev 430)
@@ -1,9 +1,11 @@
 #!/bin/bash
 
-#CONFOPT="--disable-xquartz --disable-launchd --enable-kdrive --disable-xsdl --enable-xnest --enable-xvfb"
+CONFOPT="--disable-xquartz --disable-launchd --enable-kdrive --disable-xsdl --enable-xnest --enable-xvfb"
+
+#CONFOPT="--enable-standalone-xpbproxy"
 #CONFOPT="--disable-glx"
-#CONFOPT="--disable-shave"
-CONFOPT="--enable-standalone-xpbproxy --without-dtrace"
+#CONFOPT="--disable-shave --without-dtrace"
+#CONFOPT="--enable-standalone-xpbproxy --without-dtrace"
 
 
 # Parallel Make.  Change $MAKE if you don't have gmake installed
@@ -12,8 +14,8 @@
  
 . ~/src/strip.sh
 
-PREFIX=/usr/X11
-#PREFIX=/opt/X11
+#PREFIX=/usr/X11
+PREFIX=/opt/X11
 
 ACLOCAL="aclocal -I ${PREFIX}/share/aclocal -I /usr/local/share/aclocal"
 

Added: trunk/mk_x11_dist.sh
===================================================================
--- trunk/mk_x11_dist.sh	                        (rev 0)
+++ trunk/mk_x11_dist.sh	2010-03-18 20:56:10 UTC (rev 430)
@@ -0,0 +1,109 @@
+#!/bin/sh
+
+. ~/src/strip.sh
+
+unset CFLAGS OBJCFLAGS CPPFLAGS LDFLAGS C_INCLUDE_PATH OBJC_INCLUDE_PATH CPLUS_INCLUDE_PATH PKG_CONFIG_PATH
+
+BUILDIT=~rc/bin/buildit
+#BUILDIT=/usr/local/bin/buildit
+#BUILDIT=./buildit
+
+MERGE_DIRS="/"
+#MERGE_DIRS="${MERGE_DIRS} /Users/jeremy/src/freedesktop/pkg/X11"
+
+#MACOSFORGE=LEO
+MACOSFORGE=SL
+
+TRAIN="trunk"
+#TRAIN="trains/SnowLeopard"
+#TRAIN="trains/SULeo"
+
+#TRAIN="branches/PR-6468134"
+
+### End Configuration ###
+
+XPLUGIN="${XPLUGIN:-${TRAIN}}"
+X11PROTO="${X11PROTO:-${TRAIN}}"
+X11MISC="${X11MISC:-${TRAIN}}"
+X11LIBS="${X11LIBS:-${TRAIN}}"
+QUARTZWM="${QUARTZWM:-${TRAIN}}"
+X11SERVER="${X11SERVER:-${TRAIN}}"
+X11APPS="${X11APPS:-${TRAIN}}"
+X11FONTS="${X11FONTS:-${TRAIN}}"
+
+MACOSFORGE_LEO=NO
+MACOSFORGE_SL=NO
+MACOSFORGE_RELEASE=NO
+
+if [[ "${MACOSFORGE}" == "LEO" ]] ; then
+	MACOSFORGE_LEO=YES
+	MACOSFORGE_RELEASE=YES
+elif [[ "${MACOSFORGE}" == "SL" ]] ; then
+	MACOSFORGE_SL=YES
+	MACOSFORGE_RELEASE=YES
+fi
+
+export MACOSFORGE_LEO MACOSFORGE_SL MACOSFORGE_RELEASE
+
+if [[ ${MACOSFORGE_SL} == "YES" ]] ; then
+	export X11_PREFIX="/opt/X11"
+	export XPLUGIN_PREFIX="/opt/X11"
+	export QUARTZWM_PREFIX="/opt/X11"	
+	export X11_BUNDLE_ID_PREFIX="org.macosforge.xquartz"
+	export X11_APP_NAME="XQuartz"
+	export LAUNCHD_PREFIX="/Library"
+	export X11_PATHS_D_PREFIX="50"
+fi
+
+if [[ ${MACOSFORGE_RELEASE} == "YES" ]] ; then
+	BUILDIT="${BUILDIT} -noverifydstroot"
+fi
+
+if [[ "${MACOSFORGE_LEO}" == "YES" && ${XPLUGIN} == "trunk" ]] ; then
+	XPLUGIN="trains/MacOSForge"
+fi
+
+die() {
+	echo "${@}" >&2
+	exit 1
+}
+
+if [[ "${MACOSFORGE_LEO}" == "YES" ]] ; then
+	ARCH_EXEC="-arch i386 -arch ppc"
+	ARCH_ALL="${ARCH_EXEC} -arch x86_64 -arch ppc64"
+	export PYTHONPATH="/usr/X11/lib/python2.5:/usr/X11/lib/python2.5/site-packages"
+	export GROFF=/opt/local/bin/groff
+else
+	ARCH_EXEC="-arch i386 -arch x86_64"
+	ARCH_ALL="${ARCH_EXEC} -arch ppc"
+	if [[ "${MACOSFORGE_SL}" == "YES" ]] ; then
+		export PYTHONPATH="${X11_PREFIX}/lib/python2.6:${X11_PREFIX}/lib/python2.6/site-packages"
+	fi
+fi
+
+bit() {
+	local MERGE_DIR
+	for MERGE_DIR in ${MERGE_DIRS}; do
+		[[ $(echo /tmp/X11*.roots) = '/tmp/X11*.roots' ]] || /bin/rm -rf /tmp/X11*.roots
+		${BUILDIT} "${@}" -merge ${MERGE_DIR} || die
+		/bin/ls -1 /var/tmp | /usr/bin/head -n 4000 | /usr/bin/grep dSYM | /usr/bin/sed 's:^:/var/tmp/:' | /usr/bin/xargs /bin/rm -rf
+
+		if [[ -n ${MERGE_DIR} && ${MERGE_DIR} != "/" ]] ; then
+			/bin/rm -rf ${MERGE_DIR}/usr/local
+			/bin/rmdir ${MERGE_DIR}/usr >& /dev/null
+		fi
+	done
+}
+
+[[ $(echo /tmp/X11*.roots) = '/tmp/X11*.roots' ]] || /bin/rm -rf /tmp/X11*.roots
+
+[[ -n ${XPLUGIN} && -d X11_Xplugin/${XPLUGIN} ]]      && bit X11_Xplugin/${XPLUGIN}    -project X11_Xplugin   ${ARCH_ALL} 
+[[ -n ${X11PROTO} && -d X11proto/${X11PROTO} ]]       && bit X11proto/${X11PROTO}      -project X11proto      ${ARCH_ALL}
+[[ -n ${X11MISC} && -d X11misc/${X11MISC} ]]          && bit X11misc/${X11MISC}        -project X11misc       ${ARCH_ALL}
+[[ -n ${X11LIBS} && -d X11libs/${X11LIBS} ]]          && bit X11libs/${X11LIBS}        -project X11libs       ${ARCH_ALL}
+[[ -n ${QUARTZWM} && -d X11_quartz_wm/${QUARTZWM} ]]  && bit X11_quartz_wm/${QUARTZWM} -project X11_quartz_wm ${ARCH_EXEC}
+[[ -n ${X11SERVER} && -d X11server/${X11SERVER} ]]    && bit X11server/${X11SERVER}    -project X11server     ${ARCH_ALL}
+[[ -n ${X11APPS} && -d X11apps/${X11APPS} ]]          && bit X11apps/${X11APPS}        -project X11apps       ${ARCH_ALL}
+[[ -n ${X11FONTS} && -d X11fonts/${X11FONTS} ]]       && bit X11fonts/${X11FONTS}      -project X11fonts      ${ARCH_ALL}
+
+[[ -n ${X11SERVER} ]] && echo "Remember to edit the plists"


Property changes on: trunk/mk_x11_dist.sh
___________________________________________________________________
Added: svn:executable
   + *

Added: trunk/mk_x11_legacy.sh
===================================================================
--- trunk/mk_x11_legacy.sh	                        (rev 0)
+++ trunk/mk_x11_legacy.sh	2010-03-18 20:56:10 UTC (rev 430)
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+. ~/src/strip.sh
+
+unset CFLAGS OBJCFLAGS CPPFLAGS LDFLAGS C_INCLUDE_PATH OBJC_INCLUDE_PATH CPLUS_INCLUDE_PATH
+
+MERGE_DIR="/Users/jeremy/src/freedesktop/pkg/X11_Legacy"
+#MERGE_DIR="/"
+
+X11LEGACY="trains/SUTiger"
+XPLUGIN="trunk"
+QUARTZWM="trunk"
+
+### End Configuration ###
+
+die() {
+	echo "${@}" >&2
+	exit 1
+}
+
+ARCH_32="-arch i386 -arch ppc"
+ARCH_ALL="${ARCH_32} -arch x86_64 -arch ppc64"
+
+#~rc/bin/buildit X11_Xplugin/${XPLUGIN} -project X11_Xplugin ${ARCH_ALL} -merge ${MERGE_DIR} || die
+~rc/bin/buildit X11_legacy/${X11LEGACY} -project X11 -release SUIncaZip -merge ${MERGE_DIR} || die
+#~rc/bin/buildit X11_quartz_wm/${QUARTZWM} -project X11_quartz_wm ${ARCH_32} -merge ${MERGE_DIR} || die


Property changes on: trunk/mk_x11_legacy.sh
___________________________________________________________________
Added: svn:executable
   + *
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.macosforge.org/pipermail/xquartz-changes/attachments/20100318/d9a63a59/attachment.html>


More information about the Xquartz-changes mailing list